## org.jboss.proxy
Interface Proxies.ProxyTarget

All Superinterfaces:
  java.io.Serializable

Enclosing class:
  Proxies

public static interface Proxies.ProxyTarget
extends java.io.Serializable

A common interface shared by all objects created by `Proxies.newTarget`.

Method Summary
`InvocationHandler` `getInvocationHandler()` Recover the original InvocationHandler object around which this proxy is wrapped.
`java.lang.Class[]` `getTargetTypes()` Recover the original target types for which this proxy was wrapped.

Method Detail

### getInvocationHandler

    public InvocationHandler getInvocationHandler()

  Recover the original InvocationHandler object around which this proxy is wrapped.

### getTargetTypes

    public java.lang.Class[] getTargetTypes()

  Recover the original target types for which this proxy was wrapped.

Copyright © 2000 The JBoss Organization. All Rights Reserved.